<?php
/**
 * List Layout for Blog
 *
 *
 * @package IT Photographer
 */
 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('itpg-blog'); ?>>
		<div class="itng-card-wrapper">
			<div class="itng-thumb">
				<?php if ( has_post_thumbnail() ): ?>
					<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('itpg_blog_thumb'); ?></a>
				<?php
				else :
				?>	<a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/ph_fp.png'); ?>"></a>
				<?php endif; ?>
			</div>
			
			<header class="entry-header">
				<?php
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' );
				 ?>
			</header><!-- .entry-header -->
			
			<div class="itng-card-content">
				<div class="entry-meta">
					<a href="<?php the_permalink(); ?>"><?php echo get_the_date('j M y'); ?></a>
					<?php
					itpg_posted_by();
					?>
				</div><!-- .entry-meta -->
				
				<div class="itpg_excerpt">
					<?php do_action('itpg_blog_excerpt', get_theme_mod( 'itng-blog-excerpt-length', 50 ) ); ?>
				</div>
				
				<div class="itpg-read-more"><a class="tertiary-btn" href="<?php the_permalink(); ?>"><?php _e('Read More', 'it-photographer') ?></a></div>
			</div>
		</div>
</article><!-- #post-<?php the_ID(); ?> -->