<?php
/**
 *	Scripts and Styles for Admin area and Customizer
 */
 
function itpg_customize_control_scripts() {
	
	wp_enqueue_script("itpg-customize-control-js", esc_url(get_template_directory_uri() . "/assets/js/customize_controls.js"), array(), ITPG_VERSION, true );
	
}
add_action("customize_controls_enqueue_scripts", "itpg_customize_control_scripts");


function itpg_custom_admin_styles() {
	
	global $pagenow;
	
	$allowed = array('post.php', 'post-new.php', 'customize.php');
	
	if (!in_array($pagenow, $allowed)) {
		return;
	}

    wp_enqueue_style( 'itpg-admin-css', esc_url( get_template_directory_uri() . '/assets/theme-styles/css/admin.css' ), array(), ITPG_VERSION );
    
}
add_action( 'admin_enqueue_scripts', 'itpg_custom_admin_styles' );
