<?php
/**
 * Grid Layout for Blog (Both 2 an 3 Column included)
 *
 *
 * @package IT Photographer
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'itpg-grid col-6 col-lg-4' ); ?>>
		<div class="itng-card-wrapper">
			<div class="itng-thumb">
				<?php if ( has_post_thumbnail() ): ?>
					<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('itpg_square_thumb'); ?></a>
				<?php
				else :
				?>	<a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/ph_square.png'); ?>"></a>
				<?php endif; ?>
			</div>
			
			<?php
				the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h3>' );
			 ?>
			
		</div>
</article><!-- #post-<?php the_ID(); ?> -->